Bug 616287 - VBEModes requried to get a working Xorg screen
VBEModes requried to get a working Xorg screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 23:11 EDT by Nathanael Noblet
Modified: 2010-12-03 08:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:10:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (30.14 KB, text/plain)
2010-07-20 13:10 EDT, Nathanael Noblet
no flags Details
working vesa xorg log (35.58 KB, text/plain)
2010-07-20 13:11 EDT, Nathanael Noblet
no flags Details

  None (edit)
Description Nathanael Noblet 2010-07-19 23:11:30 EDT
Description of problem:
When booting up, it was necessary to enable the Option "VBEModes" "true" to get a working X.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot F12/F13 with CX700/VX700 chipset
2.
3.
  
Actual results:
Garbled screen

Expected results:
Useable display

Additional info:
Comment 1 Xavier Bachelot 2010-07-20 12:42:49 EDT
You're not giving much details. Could you please provide exact version of the xorg-x11-drv-openchrome rpm, as well as xorg conf and xorg log ? Also can you please describe what is happening when your setup is not working ? Are you using a screen connected on the VGA port or a laptop's LCD panel ? Last thing, did you try the driver from the updates-testing repo ?
Comment 2 Nathanael Noblet 2010-07-20 13:10:41 EDT
Created attachment 433218 [details]
Xorg log
Comment 3 Nathanael Noblet 2010-07-20 13:11:05 EDT
Created attachment 433219 [details]
working vesa xorg log
Comment 4 Nathanael Noblet 2010-07-20 13:12:13 EDT
Sorry about the lack of details. I mainly filed this as a reminder/ by request of jnettlet in #openchrome. The device is a Panel PC and so I don't really know if it shows up as the LCD panel of a laptop or directly vga connected. I didn't try updates-testing, however the same issue was there with F13.
Comment 5 Xavier Bachelot 2010-07-20 14:47:02 EDT
Try to add the following line in the Device section of your xorg conf :
Option "ActiveDevice" "LCD"
Comment 6 Nathanael Noblet 2010-07-22 12:11:52 EDT
Added ActiveDevice (and commented out the Options VBEModes line) but that got me a unuseable screen
Comment 7 Bug Zapper 2010-11-03 07:47:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 08:10:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.